English ▼
Skip to page content Skip to main navigation
e.g. "templates" or "datastore"

# Conversion Functions

#### Experimental!

Conversion is an experimental, innovative, and rapidly changing new feature for App Engine. Unfortunately, being on the bleeding edge means that we may make backwards-incompatible changes to Conversion. We will inform the community when this feature is no longer experimental.

The `google.appengine.api.conversion` package includes the following conversion functions:

- create_rpc()
- make_convert_call()

create_rpc(deadline=None, callback=None)

Create remote procedure call (RPC) object for use with conversion API.

  Arguments

    deadline
      Optional deadline for operation, in seconds. Default is a system-specific deadline (typically 5 seconds).
    callback
      Optional callback function to invoke on completion.

  Result value

    A user RPC object (`apiproxy_stub_map.UserRPC`) specialized for this service.

make_convert_call(rpc, conversion)

Execute remote procedure call to do conversions. The result can then be obtained with `rpc.get_result`, which in turn calls `_get_convert_result`.

  Arguments

    rpc
      User RPC object (`apiproxy_stub_map.UserRPC`).
    conversion_request
      Conversion object (`Conversion`) or list of such objects.

  Exception

    TypeError
      Conversion has wrong type.